diff --git a/drivers/acpi/scan.c b/drivers/acpi/scan.c
index 57b053f424d13..33afe7887dd04 100644
--- a/drivers/acpi/scan.c
+++ b/drivers/acpi/scan.c
@@ -329,7 +329,8 @@ static int acpi_scan_hot_remove(struct acpi_device *device)
 	unsigned long long sta;
 	acpi_status status;
 
-	if (device->handler->hotplug.demand_offline && !acpi_force_hot_remove) {
+	if (device->handler && device->handler->hotplug.demand_offline
+	    && !acpi_force_hot_remove) {
 		if (!acpi_scan_is_offline(device, true))
 			return -EBUSY;
 	} else {
